/***************************************************************************
 *   Copyright (C) 2007 by Andreas Theofilu                             *
 *   andreas@theosys.at                                               *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation version 3 of the License.                *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef _MANAGEFILE_H
#define _MANAGEFILE_H

#include "garmin.h"

#include <qfile.h>
#include <qdir.h>

#include <stdlib.h>

class manageFile
{
	public:
	   manageFile();
	   manageFile(const char *name);
	   ~manageFile();
	   void destroy();

	   int setFileName(const char *name);
	   garmin_data *readFile();

	private:
	   QFile spw;
	   const char *fname;
};

#endif
